--===============================================
-- Broker code
--===============================================

local LDB = LibStub("LibDataBroker-1.1");

if LDB then
	-- create LDB object
	Equi_LDB = LDB:NewDataObject("Equi_Notepad", {
		label = "Notepad",
		type = "launcher",
		icon = "Interface\\Icons\\INV_Misc_Book_08",
		
		OnClick = function(frame, button)
			Equi_NotepadToggleView(1);
		end,
		
		OnTooltipShow = function( tooltip )
			tooltip:AddLine("Equilibrium Notepad");
		end,
	} )
end